COOT(1)

NAME
pyrogen - A crystallographic dictionary restraints generating tool

SYNOPSIS
pyrogen [OPTIONS] file-or-SMILES

OPTIONS
-h, --help show this help message and exit

-c FILE, --mmcif=FILE Make restraints from input mmcif FILE

-m FILE, --mol=FILE Make restraints from input sdf/mol FILE

-r COMP_ID, --residue-type=COMP_ID Create restraints for this type. Default is LIG

-4, --quartet-planes Use 4-atom plane restraints, forces --quartet-hydrogens

-H, --quartet-hydrogens Use 4-atom hydrogen plane restraints

-b, --no-shift-hydrogen-atoms Stop addition or deletion of Hydrogen atoms for formally-charged atoms

-n, --no-mogul Don't run CSD Mogul to update bond and angle restraints

-N COMPOUND_NAME, --name=COMPOUND_NAME Compound name

-S, --smiles Write the SMILES for the input molecule

-t, --tautomers Show SMILES for tautomers, don't generate restraints

-T MOGUL_DIR, --tmp-directory=MOGUL_DIR Directory into which the tmp files (e.g. for mogul) are written

-d OUTPUT_DIR, --directory=OUTPUT_DIR Directory into which the output files (e.g. mmCIF and PDB) are written

-o OUTPUT_POSTFIX, --output-postfix=OUTPUT_POSTFIX String to add to output file names, default is "pyrogen"

-p, --picture Additionally output a chemical diagram PNG

-P, --preserve-input-coordinates Preserve the inputput coordinates (if possible)

-v, --version Print version information

-a, --no-match-vs-reference-dictionaries Don't match atom names vs. dictionary molecules (default False)

-R DICT_FILES_FOR_NAMES_MATCH, --reference-dictionary-files=DICT_FILES_FOR_NAMES_MATCH Try to match the atom names of the output molecule to this dictionary in these files (comma-separated list)

-C COMP_ID_LIST_FOR_NAMES_MATCH, --reference-dictionary-comp-ids=COMP_ID_LIST_FOR_NAMES_MATCH Try to match the atom names of the output molecule to these comp-ids (comma-separated list)

-w, --wwPDB Fetch the wwPDB ligand definition and use that

-f FETCH (Just) fetch from the PDBe the CCD entry for the given compound-id

-q, --quiet print less messages

DESCRIPTION

Pyrogen is a command-line tool for the generation of crystallographic dictionary restraints.

Pyrogen is based on the RDKit.

AUTHOR
Paul Emsley